Welcome to the IPFire Wiki

This wiki is a community-maintained resource about everything there is to know about IPFire. Join us and help us improving it!

Looking for something?

Use the search and find answers to everything about IPFire. If you cannot find what you are looking for, join our community and talk to fellow IPFire users, developers and everybody else involved in the project.

IPFire Community

Spectre Meltdown Checker

New add-on as of Core Update 129.

This tool does its best to determine whether your system is immune (or has proper mitigations in place) for the collectively named "speculative execution" vulnerabilities. It doesn't attempt to run any kind of exploit, and can't guarantee that your system is secure, but rather helps you verifying whether your system has the known correct mitigations in place. 1

Installation

You can comfortably install the Checker over Pakfire or via Console:

pakfire install spectre-meltdown-checker

Usage

There is no web interface for this Addon. To run this Addon open the client console or terminal and access the IPFire box via SSH.

To launch the Checker:
spectre-meltdown-checker

The output is similar to this:

[root@ipfireVM ~]# spectre-meltdown-checker
Spectre and Meltdown mitigation detection tool v0.40

Checking for vulnerabilities on current system
Kernel is Linux 4.14.103-ipfire #1 SMP Sun Feb 24 05:40:25 GMT 2019 x86_64
CPU is Intel(R) Core(TM) i5-6500 CPU @ 3.20GHz

Hardware check
* Hardware support (CPU microcode) for mitigation techniques
  * Indirect Branch Restricted Speculation (IBRS) . . .

  1. From the spectre-meltdown-checker --disclaimer 

Edit Page ‐ Yes, you can edit!

Older Revisions • August 15 at 9:47 pm • Jon